Bug 26600

Summary: Missing module in Indexer.pm
Product: Koha Reporter: Marcel de Rooy <m.de.rooy>
Component: Architecture, internals, and plumbingAssignee: Marcel de Rooy <m.de.rooy>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: aleisha, lucas
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06
Bug Depends on: 25265    
Bug Blocks:    
Attachments: Bug 26600: Missing module in Elasticsearch/Indexer.pm
Bug 26600: Missing module in Elasticsearch/Indexer.pm

Description Marcel de Rooy 2020-10-02 06:27:59 UTC
Just a formal add since it compiles without the 'use' too..
Comment 1 Marcel de Rooy 2020-10-02 06:33:34 UTC
Created attachment 111057 [details] [review]
Bug 26600: Missing module in Elasticsearch/Indexer.pm

Just formally needed. It is already loaded somewhere.
That is: Koha::SearchEngine::Elasticsearch.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2020-10-02 06:34:32 UTC
Taking the liberty of self signoff. Super trivial and tiny ;)
Comment 3 Nick Clemens 2020-10-07 13:35:15 UTC
Created attachment 111334 [details] [review]
Bug 26600: Missing module in Elasticsearch/Indexer.pm

Just formally needed. It is already loaded somewhere.
That is: Koha::SearchEngine::Elasticsearch.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-10-08 14:21:13 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-09 18:56:11 UTC
backported to 20.05.x for 20.05.06
Comment 6 Aleisha Amohia 2020-11-17 03:27:33 UTC
missing dependencies, not backported to 19.11.x